#include "Default_component.h"

namespace MM
{

void Default_component::set_controller( Controller * controller )
{
    controller_.adopt (controller);
}

void Default_component::set_view( View * view )
{
    view_.adopt (view);
}

void Default_component::set_model( Model * model )
{
    model_.adopt (model);
}

Component * Default_component::
clone() const
{
    return new Default_component ();     //fix
}

}//MM
